Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenMBeanInfoSupport

    java.lang.Object
      javax.management.MBeanInfo
          javax.management.openmbean.OpenMBeanInfoSupport

All Implemented Interfaces:
  Cloneable, OpenMBeanInfo, Serializable

public class OpenMBeanInfoSupport
extends MBeanInfo
implements OpenMBeanInfo, Serializable

OpenMBeanInfo implementation

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Constructor Summary
`OpenMBeanInfoSupport(String className, String description, OpenMBeanAttributeInfo[] attributes, OpenMBeanConstructorInfo[] constructors, OpenMBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)` Contruct an OpenMBeanInfoSupport

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`int` | `hashCode()` Generates a hashcode for the implementation.
`String` | `toString()` A string representation of the open mbean info.

Methods inherited from class javax.management.MBeanInfo
`clone, getAttributes, getClassName, getConstructors, getDescription, getNotifications, getOperations`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.openmbean.OpenMBeanInfo
`getAttributes, getClassName, getConstructors, getDescription, getNotifications, getOperations`

Constructor Detail

### OpenMBeanInfoSupport

    public OpenMBeanInfoSupport(String className,
                                String description,
                                OpenMBeanAttributeInfo[] attributes,
                                OpenMBeanConstructorInfo[] constructors,
                                OpenMBeanOperationInfo[] operations,
                                MBeanNotificationInfo[] notifications)

  Contruct an OpenMBeanInfoSupport

Parameters:
  `className` - cannot be null or empty
  `description` - cannot be null or empty
  `attributes` - the open mbean's attributes
  `constructors` - the open mbean's constructors
  `operations` - the open mbean's operations
  `notifications` - the open mbean's notifications
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied

Method Detail

### equals

    public boolean equals(Object obj)

  Description copied from interface: `OpenMBeanInfo`
  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean info interface
  The getClassName() methods return strings that are equal
  The information objects (attributes, constructors, operations and notifications) are the equal

  Specified by:
    `equals` in interface `OpenMBeanInfo`
  Overrides:
    `equals` in class `MBeanInfo`

### hashCode

    public int hashCode()

  Description copied from interface: `OpenMBeanInfo`
  Generates a hashcode for the implementation.

  The hashcode is the sum of the hashcodes for
  getClassName()
  java.util.HashSet(java.util.Arrays.asList(getAttributes()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getConstructors()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getOperations()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getNotifications()).hashCode()

  Specified by:
    `hashCode` in interface `OpenMBeanInfo`
  Overrides:
    `hashCode` in class `MBeanInfo`

### toString

    public String toString()

  Description copied from interface: `OpenMBeanInfo`
  A string representation of the open mbean info.

  It is made up of
  The implementing class
  getClassName()
  toString() for each of the info arrays

  Specified by:
    `toString` in interface `OpenMBeanInfo`
  Overrides:
    `toString` in class `MBeanInfo`
  Returns:
    a human readable string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.